Skip to navigation

Get SAFE by ID

Retrieve a specific SAFE request by its ID.

Authentication

AuthorizationBearer

Bearer token authentication for Mercury API.

Use your API token in the Authorization header: Authorization: Bearer TOKEN

Example: Authorization: Bearer secret-token:mercury_production_wma_24SCp4G81X3yHL4Wq8FgzuaP9ye3VKf2mgTDctXyRg5HY_yrucrem

Your Mercury API token should include the ‘secret-token:’ prefix. Tokens can be generated from your Mercury dashboard settings.

Path parameters

safeRequestIdstringRequiredformat: "uuid"

Response

documentUrlstring
expiresAtstringformat: "yyyy-mm-ddThh:MM:ssZ"
idstringformat: "uuid"
ID for the SAFE request
includesMostFavoredNationClauseboolean
includesProRataRightsLetterboolean
investmentAmountdouble>=0.01
A positive dollar amount with at least 1 cent.
investmentDatedate
investorobject
Investor details for a SAFE request.
organizationobject
Organization details for a SAFE request.
valuationTypeenum
Allowed values:
canceledAtstring or nullOptionalformat: "yyyy-mm-ddThh:MM:ssZ"
discountRatedouble or nullOptional
governingStateenum or nullOptional
paidAtstring or nullOptionalformat: "yyyy-mm-ddThh:MM:ssZ"
signedByInvestorAtstring or nullOptionalformat: "yyyy-mm-ddThh:MM:ssZ"
signedByOwnerAtstring or nullOptionalformat: "yyyy-mm-ddThh:MM:ssZ"
valuationCapdouble or nullOptional>=0.01
A positive dollar amount with at least 1 cent.

Errors

404
Not Found Error